version: '3.1'

services:
  influx:
    image: influxdb:1.8
    restart: unless-stopped
    network_mode: host
    volumes:
      - ./data/influx:/var/lib/influxdb
  
  telegraf:
    build:
      context: files/telegraf
    restart: unless-stopped
    depends_on:
      - influx
    network_mode: host
  
  mqtt:
    build:
      context: files/mqtt
    restart: unless-stopped
    network_mode: host
  
  grafana:
    build:
      context: files/grafana
    restart: unless-stopped
    depends_on:
      - influx
    network_mode: host
    environment:
      - GF_PATHS_PROVISIONING=/etc/grafana/provisioning
    volumes:
      - ./data/grafana:/var/lib/grafana
  
  nodered:
    image: nodered/node-red:2.2.2
    restart: unless-stopped
    network_mode: host
    user: node-red:dialout
    volumes:
      - ./data/nodered:/data
    environment:
      - TZ=Europe/Warsaw

  mppsolar_l1:
    build:
      context: files/mpp-solar
    restart: unless-stopped
    network_mode: host
    environment:
      - MQTT_TOPIC=L1
    devices:
      - "/opt/serial-falownik1:/dev/ttyUSB0"

  mppsolar_l2:
    build:
      context: files/mpp-solar
    restart: unless-stopped
    network_mode: host
    environment:
      - MQTT_TOPIC=L2
    devices:
      - "/opt/serial-falownik2:/dev/ttyUSB0"

  mppsolar_l3:
    build:
      context: files/mpp-solar
    restart: unless-stopped
    network_mode: host
    environment:
      - MQTT_TOPIC=L3
    devices:
      - "/opt/serial-falownik3:/dev/ttyUSB0"
